Post feature RSS DPArray, the deployment packages manager

This article shortly describes our deployment tool for all mods and addons created by RD AAOW FDL

Posted by on

DPArray - RD AAOW FDL’s deployment packages manager



DPArray is our old deployment tool with a new name. It was creates to manage installations of Laboratory’s products.

DPArray performs installation, deinstallation, check for updates, download of packages and their requirements. This tool is the only thing you need to start working with all of our projects.

Additional info you can find on our Welcome page





Troubleshooting

If DPArray doesn’t start properly, you will also need to install Microsoft .NET Framework 4.8 (see the Requirements section below).


If you meet some troubles during the deployment of our mods (like “xash.dll not found” or “one or more files are unavailable”), please, check next points first:

  • Unblock the DPArray executable: right-click on it → PropertiesUnlock;
  • Check your “Program files” directory: it should be writable for you (actual especially for Win10);
  • Run DPArray with administrator’s rights (typically, it is unnecessary, but may be useful).

If these steps aren’t enough to fix your problem, please, let us know about it.


You needn’t to sequentially install all set of updates. Just use the actual package that is linked on the main page of the mod. For example, to update the ESHQ mod from versions 10.0, 10.1 or 10.2 to version 10.3 you need only the update package of version 10.3. But remember that transition between major versions (f.e., from 10.x to 11.0) requires special update packages.



If you want to remove the mod, use .dpd script placed in the same directory where mod has been deployed. The Crazy Cheater’s mod isn’t removable without the uninstallation of the mother game.


If you meet the “path not found” error during the deployment, start the DPArray and use the context menu of its tray icon to specify the correct installation directory for the mod (f. e., C:\Program files\ESHQ). Also you can use this tray menu to change the interface language of the deployment utility.


Please, don’t try to play our mods with non-original engine assemblies. F. e., our engine adaptation for ESHQ mod has specific features and entities; the mod will not work properly without them.

Also it is highly recommended that you use mod versions presented on our ModDB pages. Other packages and archives may be out of date or may be not properly tested and assembled. We cannot be responsible for their functionality!


Requirements


Development policy and EULA

This Policy (ADP), its positions, conclusion, EULA and application methods describes general rules that we follow in all of our development processes, released applications and implemented ideas.

It must be acquainted by participants and users before using any of laboratory’s products. By downloading them, you agree and accept this Policy!

Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.